# manifest
通过该仓库，使用repo工具管理其它仓库的源代码

## 安装git和repo工具

```shell
sudo apt-get install git repo

echo "export REPO_URL='https://mirrors.tuna.tsinghua.edu.cn/git/git-repo'" >> ~/.$(basename $SHELL)rc
source ~/.$(basename $SHELL)rc
```

## 克隆DragonOS的代码

## 自动操作

使用https克隆：

```shell
curl -sSL https://git.mirrors.dragonos.org.cn/DragonOS-Community/manifest/raw/master/scripts/init.sh | bash
```

使用ssh克隆（请先配置好github的SSH Key）：

```shell
# 使用ssh克隆
bash <(curl -sSL https://git.mirrors.dragonos.org.cn/DragonOS-Community/manifest/raw/master/scripts/init.sh) --use-ssh-after-clone
```

## 手动操作

```shell
# 新建文件夹
mkdir DragonOS-workspace
cd DragonOS-workspace
```

### 初始化repo

您可以选择从镜像站或者是GitHub同步代码，镜像站的速度更快，但是GitHub的代码库更加新。

```shell
# 【推荐】使用ssh克隆，可以使用下面的命令（请先配置好github的SSH Key）
repo init -u git@github.com:DragonOS-Community/manifest.git -b master

# 使用https克隆
repo init -u https://github.com/DragonOS-Community/manifest.git -b master

# 使用镜像站克隆
repo init -u https://git.mirrors.dragonos.org.cn/DragonOS-Community/manifest.git -b master
```

同步代码:
    
```shell
repo sync -c
```

